Package weka.core

# Class PropertyPath.Path

java.lang.Object
weka.core.PropertyPath.Path

All Implemented Interfaces:
  `RevisionHandler`

Enclosing class:
  `PropertyPath`

public static class PropertyPath.Path extends Object implements RevisionHandler
Contains a (property) path structure

Version:
  $Revision: 4742 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Constructor Summary

Constructors
Constructor
Description
`Path(String path)`
uses the given dot-path
`Path(String[] elements)`
uses the given array as elements for the path
`Path(Vector elements)`
uses the vector with PathElement objects to initialize with

## Method Summary

Modifier and Type
Method
Description
`PropertyPath.PathElement`
`get(int index)`
returns the element at the given index
`String`
`getRevision()`
Returns the revision string.
`static PropertyPath.Path`
`parsePath(String path)`
returns a path object based on the given path string
`int`
`size()`
returns the number of path elements of this structure
`PropertyPath.Path`
`subpath(int startIndex)`
returns a subpath of the current structure, starting with the specified element index up to the end
`PropertyPath.Path`
`subpath(int startIndex, int endIndex)`
returns a subpath of the current structure, starting with the specified element index up.
`String`
`toString()`
returns the structure again as a dot-path

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Path

public Path(String path)
uses the given dot-path

Parameters:
  `path` - path in dot-notation

### Path

public Path(Vector elements)
uses the vector with PathElement objects to initialize with

Parameters:
  `elements` - the PathElements to use

### Path

public Path(String[] elements)
uses the given array as elements for the path

Parameters:
  `elements` - the path elements to use

## Method Details

### get

public PropertyPath.PathElement get(int index)
returns the element at the given index

Parameters:
  `index` - the index of the element to return
Returns:
  the specified element

### size

public int size()
returns the number of path elements of this structure

Returns:
  the number of path elements

### parsePath

public static PropertyPath.Path parsePath(String path)
returns a path object based on the given path string

Parameters:
  `path` - path to work on
Returns:
  the path structure

### subpath

public PropertyPath.Path subpath(int startIndex)
returns a subpath of the current structure, starting with the specified element index up to the end

Parameters:
  `startIndex` - the first element of the subpath
Returns:
  the new subpath

### subpath

public PropertyPath.Path subpath(int startIndex, int endIndex)
returns a subpath of the current structure, starting with the specified element index up. The endIndex specifies the element that is not part of the new subpath. In other words, the new path contains the elements from "startIndex" up to "(endIndex-1)".

Parameters:
  `startIndex` - the first element of the subpath
  `endIndex` - the element that is after the last added element
Returns:
  the new subpath

### toString

public String toString()
returns the structure again as a dot-path

Overrides:
  `toString` in class `Object`
Returns:
  the path structure as dot-path

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision